Package org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

# Class InMemoryMetricReader

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util.InMemoryMetricReader

All Implemented Interfaces:
  `io.opentelemetry.sdk.metrics.export.AggregationTemporalitySelector`, `io.opentelemetry.sdk.metrics.export.DefaultAggregationSelector`, `io.opentelemetry.sdk.metrics.export.MetricReader`, `Closeable`, `AutoCloseable`

@ApplicationScoped public class InMemoryMetricReader extends Object implements io.opentelemetry.sdk.metrics.export.MetricReader

## Constructor Summary

Constructors
Constructor
Description
`InMemoryMetricReader()`

## Method Summary

Modifier and Type
Method
Description
`static InMemoryMetricReader`
`current()`
`io.opentelemetry.sdk.common.CompletableResultCode`
`forceFlush()`
`io.opentelemetry.sdk.metrics.data.AggregationTemporality`
`getAggregationTemporality(io.opentelemetry.sdk.metrics.InstrumentType instrumentType)`
`Optional<io.opentelemetry.sdk.metrics.data.LongPointData>`
`getGaugueMetricLatestValue(TelemetryMetricID id)`
`protected List<?>`
`getPointData(TelemetryMetricID id)`
`String`
`getUnit(String metricName)`
`long`
`readLongData(TelemetryMetricID id)`
`void`
`register(io.opentelemetry.sdk.metrics.export.CollectionRegistration registration)`
`io.opentelemetry.sdk.common.CompletableResultCode`
`shutdown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.opentelemetry.sdk.metrics.export.DefaultAggregationSelector

`with`

### Methods inherited from interface io.opentelemetry.sdk.metrics.export.MetricReader

`close, getDefaultAggregation, getMemoryMode`

## Constructor Details

### InMemoryMetricReader

public InMemoryMetricReader()

## Method Details

### current

public static InMemoryMetricReader current()

### getAggregationTemporality

public io.opentelemetry.sdk.metrics.data.AggregationTemporality getAggregationTemporality(io.opentelemetry.sdk.metrics.InstrumentType instrumentType)

Specified by:
  `getAggregationTemporality` in interface `io.opentelemetry.sdk.metrics.export.AggregationTemporalitySelector`

### register

public void register(io.opentelemetry.sdk.metrics.export.CollectionRegistration registration)

Specified by:
  `register` in interface `io.opentelemetry.sdk.metrics.export.MetricReader`

### forceFlush

public io.opentelemetry.sdk.common.CompletableResultCode forceFlush()

Specified by:
  `forceFlush` in interface `io.opentelemetry.sdk.metrics.export.MetricReader`

### shutdown

public io.opentelemetry.sdk.common.CompletableResultCode shutdown()

Specified by:
  `shutdown` in interface `io.opentelemetry.sdk.metrics.export.MetricReader`

### readLongData

public long readLongData(TelemetryMetricID id)

### getPointData

protected List<?> getPointData(TelemetryMetricID id)

### getGaugueMetricLatestValue

public Optional<io.opentelemetry.sdk.metrics.data.LongPointData> getGaugueMetricLatestValue(TelemetryMetricID id)

### getUnit

public String getUnit(String metricName)